Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/SED/sedini.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/SED/sedini.F90	(revision 4291)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/SED/sedini.F90	(revision 4292)
@@ -142,5 +142,5 @@
          DO ji = 1, jpi
             ikt = mbkt(ji,jj) 
-            IF( tmask(ji,jj,ikt) == 1 ) epkbot(ji,jj) = e3t_0(ikt)
+            IF( tmask(ji,jj,ikt) == 1 ) epkbot(ji,jj) = e3t_1d(ikt)
          ENDDO
       ENDDO
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/trcwri_pisces.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/trcwri_pisces.F90	(revision 4291)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/PISCES/trcwri_pisces.F90	(revision 4292)
@@ -21,4 +21,5 @@
    PUBLIC trc_wri_pisces 
 
+#  include "top_substitute.h90"
 CONTAINS
 
@@ -39,4 +40,9 @@
       DO jn = jp_pcs0, jp_pcs1
          cltra = TRIM( ctrcnm(jn) )                  ! short title for tracer
+         IF( lk_vvl ) THEN
+            CALL iom_put( cltra, trn(:,:,:,jn) * fse3t_n(:,:,:) )
+         ELSE
+            CALL iom_put( cltra, trn(:,:,:,jn) )
+         ENDIF
          CALL iom_put( cltra, trn(:,:,:,jn) * zrfact )
       END DO
@@ -47,5 +53,9 @@
          IF( jn == jppo4  )                 zrfact = po4r * 1.0e+6
          cltra = TRIM( ctrcnm(jn) )                  ! short title for tracer
-         CALL iom_put( cltra, trn(:,:,:,jn) * zrfact )
+         IF( lk_vvl ) THEN
+            CALL iom_put( cltra, trn(:,:,:,jn) * fse3t_n(:,:,:) * zrfact )
+         ELSE
+            CALL iom_put( cltra, trn(:,:,:,jn) * zrfact )
+         ENDIF
       END DO
 #endif
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/oce_trc.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/oce_trc.F90	(revision 4291)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/oce_trc.F90	(revision 4292)
@@ -70,11 +70,4 @@
    USE oce , ONLY :   sshb    =>    sshb    !: sea surface height at t-point [m]   
    USE oce , ONLY :   ssha    =>    ssha    !: sea surface height at t-point [m]   
-   USE oce , ONLY :   sshu_n  =>    sshu_n  !: sea surface height at u-point [m]   
-   USE oce , ONLY :   sshu_b  =>    sshu_b  !: sea surface height at u-point [m]   
-   USE oce , ONLY :   sshu_a  =>    sshu_a  !: sea surface height at u-point [m]   
-   USE oce , ONLY :   sshv_n  =>    sshv_n  !: sea surface height at v-point [m]   
-   USE oce , ONLY :   sshv_b  =>    sshv_b  !: sea surface height at v-point [m]   
-   USE oce , ONLY :   sshv_a  =>    sshv_a  !: sea surface height at v-point [m]   
-   USE oce , ONLY :   sshf_n  =>    sshf_n  !: sea surface height at v-point [m]   
    USE oce , ONLY :   l_traldf_rot => l_traldf_rot  !: rotated laplacian operator for lateral diffusion
 #if defined key_offline
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/trcdia.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/trcdia.F90	(revision 4291)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/trcdia.F90	(revision 4292)
@@ -187,5 +187,5 @@
 
          ! Vertical grid for tracer : gdept
-         CALL histvert( nit5, 'deptht', 'Vertical T levels', 'm', ipk, gdept_0, ndepit5)
+         CALL histvert( nit5, 'deptht', 'Vertical T levels', 'm', ipk, gdept_1d, ndepit5)
 
          ! Index of ocean points in 3D and 2D (surface)
@@ -308,5 +308,5 @@
          ! Vertical grid for 2d and 3d arrays
 
-         CALL histvert( nitd, 'deptht', 'Vertical T levels','m', ipk, gdept_0, ndepitd)
+         CALL histvert( nitd, 'deptht', 'Vertical T levels','m', ipk, gdept_1d, ndepitd)
 
          ! Declare all the output fields as NETCDF variables
@@ -439,5 +439,5 @@
             &    iiter, zjulian, zdt, nhoritb, nitb , domain_id=nidom, snc4chunks=snc4set )
          ! Vertical grid for biological trends
-         CALL histvert(nitb, 'deptht', 'Vertical T levels', 'm', ipk, gdept_0, ndepitb)
+         CALL histvert(nitb, 'deptht', 'Vertical T levels', 'm', ipk, gdept_1d, ndepitb)
 
          ! Declare all the output fields as NETCDF variables
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/trcdta.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/trcdta.F90	(revision 4291)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/trcdta.F90	(revision 4292)
@@ -188,13 +188,13 @@
                   DO ji = 1, jpi
                      DO jk = 1, jpk                        ! determines the intepolated T-S profiles at each (i,j) points
-                        zl = fsdept_0(ji,jj,jk)
-                        IF(     zl < gdept_0(1  ) ) THEN          ! above the first level of data
+                        zl = fsdept_n(ji,jj,jk)
+                        IF(     zl < gdept_1d(1  ) ) THEN         ! above the first level of data
                            ztp(jk) =  sf_dta(1)%fnow(ji,jj,1)
-                        ELSEIF( zl > gdept_0(jpk) ) THEN          ! below the last level of data
+                        ELSEIF( zl > gdept_1d(jpk) ) THEN         ! below the last level of data
                            ztp(jk) =  sf_dta(1)%fnow(ji,jj,jpkm1)
                         ELSE                                      ! inbetween : vertical interpolation between jkk & jkk+1
                            DO jkk = 1, jpkm1                                  ! when  gdept(jkk) < zl < gdept(jkk+1)
-                              IF( (zl-gdept_0(jkk)) * (zl-gdept_0(jkk+1)) <= 0._wp ) THEN
-                                 zi = ( zl - gdept_0(jkk) ) / (gdept_0(jkk+1)-gdept_0(jkk))
+                              IF( (zl-gdept_1d(jkk)) * (zl-gdept_1d(jkk+1)) <= 0._wp ) THEN
+                                 zi = ( zl - gdept_1d(jkk) ) / (gdept_1d(jkk+1)-gdept_1d(jkk))
                                  ztp(jk) = sf_dta(1)%fnow(ji,jj,jkk) + ( sf_dta(1)%fnow(ji,jj,jkk+1) - &
                                            sf_dta(1)%fnow(ji,jj,jkk) ) * zi 
@@ -219,5 +219,5 @@
                         ik = mbkt(ji,jj) 
                         IF( ik > 1 ) THEN
-                           zl = ( gdept_0(ik) - fsdept_0(ji,jj,ik) ) / ( gdept_0(ik) - gdept_0(ik-1) )
+                           zl = ( gdept_1d(ik) - fsdept_n(ji,jj,ik) ) / ( gdept_1d(ik) - gdept_1d(ik-1) )
                            sf_dta(1)%fnow(ji,jj,ik) = (1.-zl) * sf_dta(1)%fnow(ji,jj,ik) + zl * sf_dta(1)%fnow(ji,jj,ik-1)
                         ENDIF
Index: /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/trcsub.F90
===================================================================
--- /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 4291)
+++ /branches/2013/dev_MERGE_2013/NEMOGCM/NEMO/TOP_SRC/trcsub.F90	(revision 4292)
@@ -79,6 +79,6 @@
            !
            sshb_hold  (:,:) = sshn  (:,:)
-           sshu_b_hold(:,:) = sshu_n(:,:)
-           sshv_b_hold(:,:) = sshv_n(:,:)
+!!Z~       sshu_b_hold(:,:) = sshu_n(:,:)
+!!Z~       sshv_b_hold(:,:) = sshv_n(:,:)
            emp_b_hold (:,:) = emp_b (:,:)
            !
@@ -117,6 +117,6 @@
           !
           sshn_tm  (:,:)         = sshn_tm  (:,:)         + sshn  (:,:) 
-          sshu_n_tm(:,:)         = sshu_n_tm(:,:)         + sshu_n(:,:) 
-          sshv_n_tm(:,:)         = sshv_n_tm(:,:)         + sshv_n(:,:) 
+!!Z~      sshu_n_tm(:,:)         = sshu_n_tm(:,:)         + sshu_n(:,:) 
+!!Z~      sshv_n_tm(:,:)         = sshv_n_tm(:,:)         + sshv_n(:,:) 
           rnf_tm   (:,:)         = rnf_tm   (:,:)         + rnf   (:,:) 
           h_rnf_tm (:,:)         = h_rnf_tm (:,:)         + h_rnf (:,:) 
@@ -197,13 +197,13 @@
 # endif
          sshn_temp  (:,:)        = sshn  (:,:)
-         sshu_n_temp(:,:)        = sshu_n(:,:)
-         sshv_n_temp(:,:)        = sshv_n(:,:)
-         sshf_n_temp(:,:)        = sshf_n(:,:)
+!!Z~     sshu_n_temp(:,:)        = sshu_n(:,:)
+!!Z~     sshv_n_temp(:,:)        = sshv_n(:,:)
+!!Z~     sshf_n_temp(:,:)        = sshf_n(:,:)
          sshb_temp  (:,:)        = sshb  (:,:)
-         sshu_b_temp(:,:)        = sshu_b(:,:)
-         sshv_b_temp(:,:)        = sshv_b(:,:)
+!!Z~     sshu_b_temp(:,:)        = sshu_b(:,:)
+!!Z~     sshv_b_temp(:,:)        = sshv_b(:,:)
          ssha_temp  (:,:)        = ssha  (:,:)
-         sshu_a_temp(:,:)        = sshu_a(:,:)
-         sshv_a_temp(:,:)        = sshv_a(:,:)
+!!Z~     sshu_a_temp(:,:)        = sshu_a(:,:)
+!!Z~     sshv_a_temp(:,:)        = sshv_a(:,:)
          rnf_temp   (:,:)        = rnf   (:,:)
          h_rnf_temp (:,:)        = h_rnf (:,:)
@@ -309,6 +309,6 @@
 # endif
          sshn_tm  (:,:)          = sshn_tm    (:,:)       + sshn  (:,:) 
-         sshu_n_tm(:,:)          = sshu_n_tm  (:,:)       + sshu_n(:,:) 
-         sshv_n_tm(:,:)          = sshv_n_tm  (:,:)       + sshv_n(:,:) 
+!!Z~     sshu_n_tm(:,:)          = sshu_n_tm  (:,:)       + sshu_n(:,:) 
+!!Z~     sshv_n_tm(:,:)          = sshv_n_tm  (:,:)       + sshv_n(:,:) 
          rnf_tm   (:,:)          = rnf_tm     (:,:)       + rnf   (:,:) 
          h_rnf_tm (:,:)          = h_rnf_tm   (:,:)       + h_rnf (:,:) 
@@ -321,9 +321,9 @@
          !
          sshn     (:,:)          = sshn_tm    (:,:) * r1_ndttrcp1 
-         sshu_n   (:,:)          = sshu_n_tm  (:,:) * r1_ndttrcp1  
-         sshv_n   (:,:)          = sshv_n_tm  (:,:) * r1_ndttrcp1  
+!!Z~     sshu_n   (:,:)          = sshu_n_tm  (:,:) * r1_ndttrcp1  
+!!Z~     sshv_n   (:,:)          = sshv_n_tm  (:,:) * r1_ndttrcp1  
          sshb     (:,:)          = sshb_hold  (:,:)
-         sshu_b   (:,:)          = sshu_b_hold(:,:)
-         sshv_b   (:,:)          = sshv_b_hold(:,:)
+!!Z~     sshu_b   (:,:)          = sshu_b_hold(:,:)
+!!Z~     sshv_b   (:,:)          = sshv_b_hold(:,:)
          rnf      (:,:)          = rnf_tm     (:,:) * r1_ndttrcp1 
          h_rnf    (:,:)          = h_rnf_tm   (:,:) * r1_ndttrcp1 
@@ -486,13 +486,13 @@
 #endif
          CALL lbc_lnk( sshn  (:,:)         , 'T', 1. ) 
-         CALL lbc_lnk( sshu_n(:,:)         , 'U', 1. ) 
-         CALL lbc_lnk( sshv_n(:,:)         , 'V', 1. ) 
-         CALL lbc_lnk( sshf_n(:,:)         , 'F', 1. ) 
+!!Z~     CALL lbc_lnk( sshu_n(:,:)         , 'U', 1. ) 
+!!Z~     CALL lbc_lnk( sshv_n(:,:)         , 'V', 1. ) 
+!!Z~     CALL lbc_lnk( sshf_n(:,:)         , 'F', 1. ) 
          CALL lbc_lnk( sshb  (:,:)         , 'T', 1. ) 
-         CALL lbc_lnk( sshu_b(:,:)         , 'U', 1. ) 
-         CALL lbc_lnk( sshv_b(:,:)         , 'V', 1. ) 
+!!Z~     CALL lbc_lnk( sshu_b(:,:)         , 'U', 1. ) 
+!!Z~     CALL lbc_lnk( sshv_b(:,:)         , 'V', 1. ) 
          CALL lbc_lnk( ssha  (:,:)         , 'T', 1. ) 
-         CALL lbc_lnk( sshu_a(:,:)         , 'U', 1. ) 
-         CALL lbc_lnk( sshv_a(:,:)         , 'V', 1. ) 
+!!Z~     CALL lbc_lnk( sshu_a(:,:)         , 'U', 1. ) 
+!!Z~     CALL lbc_lnk( sshv_a(:,:)         , 'V', 1. ) 
          CALL lbc_lnk( rnf   (:,:)         , 'T', 1. ) 
          CALL lbc_lnk( h_rnf (:,:)         , 'T', 1. ) 
@@ -592,6 +592,6 @@
 #endif
       sshn_tm  (:,:) = sshn  (:,:) 
-      sshu_n_tm(:,:) = sshu_n(:,:) 
-      sshv_n_tm(:,:) = sshv_n(:,:) 
+!!Z~  sshu_n_tm(:,:) = sshu_n(:,:) 
+!!Z~  sshv_n_tm(:,:) = sshv_n(:,:) 
       rnf_tm   (:,:) = rnf   (:,:) 
       h_rnf_tm (:,:) = h_rnf (:,:) 
@@ -695,11 +695,11 @@
       sshb  (:,:)     =  sshb_temp  (:,:)
       ssha  (:,:)     =  ssha_temp  (:,:)
-      sshu_n(:,:)     =  sshu_n_temp(:,:)
-      sshu_b(:,:)     =  sshu_b_temp(:,:)
-      sshu_a(:,:)     =  sshu_a_temp(:,:)
-      sshv_n(:,:)     =  sshv_n_temp(:,:)
-      sshv_b(:,:)     =  sshv_b_temp(:,:)
-      sshv_a(:,:)     =  sshv_a_temp(:,:)
-      sshf_n(:,:)     =  sshf_n_temp(:,:)
+!!Z~  sshu_n(:,:)     =  sshu_n_temp(:,:)
+!!Z~  sshu_b(:,:)     =  sshu_b_temp(:,:)
+!!Z~  sshu_a(:,:)     =  sshu_a_temp(:,:)
+!!Z~  sshv_n(:,:)     =  sshv_n_temp(:,:)
+!!Z~  sshv_b(:,:)     =  sshv_b_temp(:,:)
+!!Z~  sshv_a(:,:)     =  sshv_a_temp(:,:)
+!!Z~  sshf_n(:,:)     =  sshf_n_temp(:,:)
       rnf   (:,:)     =  rnf_temp   (:,:)
       h_rnf (:,:)     =  h_rnf_temp (:,:)
@@ -816,10 +816,10 @@
       !
       sshb_hold  (:,:) = sshn  (:,:)
-      sshu_b_hold(:,:) = sshu_n(:,:)
-      sshv_b_hold(:,:) = sshv_n(:,:)
+!!Z~  sshu_b_hold(:,:) = sshu_n(:,:)
+!!Z~  sshv_b_hold(:,:) = sshv_n(:,:)
       emp_b_hold (:,:) = emp   (:,:)
       sshn_tm    (:,:) = sshn  (:,:) 
-      sshu_n_tm  (:,:) = sshu_n(:,:) 
-      sshv_n_tm  (:,:) = sshv_n(:,:) 
+!!Z~  sshu_n_tm  (:,:) = sshu_n(:,:) 
+!!Z~  sshv_n_tm  (:,:) = sshv_n(:,:) 
       rnf_tm     (:,:) = rnf   (:,:) 
       h_rnf_tm   (:,:) = h_rnf (:,:) 
@@ -951,6 +951,6 @@
          END DO
          !
-         hu(:,:) = hu_0(:,:) + sshu_n(:,:)            ! now ocean depth (at u- and v-points)
-         hv(:,:) = hv_0(:,:) + sshv_n(:,:)
+!!Z~     hu(:,:) = hu_0(:,:) + sshu_n(:,:)            ! now ocean depth (at u- and v-points)
+!!Z~     hv(:,:) = hv_0(:,:) + sshv_n(:,:)
          !                                            ! now masked inverse of the ocean depth (at u- and v-points)
          hur(:,:) = umask(:,:,1) / ( hu(:,:) + 1._wp - umask(:,:,1) )
@@ -992,17 +992,17 @@
 
       !                                                ! Sea Surface Height at u-,v- and f-points (vvl case only)
-      IF( lk_vvl ) THEN                                ! (required only in key_vvl case)
-         DO jj = 1, jpjm1
-            DO ji = 1, jpim1      ! NO Vector Opt.
-               sshu_a(ji,jj) = 0.5  * umask(ji,jj,1) / ( e1u(ji  ,jj) * e2u(ji  ,jj) )                   &
-                  &                                  * ( e1t(ji  ,jj) * e2t(ji  ,jj) * ssha(ji  ,jj)     &
-                  &                                    + e1t(ji+1,jj) * e2t(ji+1,jj) * ssha(ji+1,jj) )
-               sshv_a(ji,jj) = 0.5  * vmask(ji,jj,1) / ( e1v(ji,jj  ) * e2v(ji,jj  ) )                   &
-                  &                                  * ( e1t(ji,jj  ) * e2t(ji,jj  ) * ssha(ji,jj  )     &
-                  &                                    + e1t(ji,jj+1) * e2t(ji,jj+1) * ssha(ji,jj+1) )
-            END DO
-         END DO
-         CALL lbc_lnk( sshu_a, 'U', 1. )   ;   CALL lbc_lnk( sshv_a, 'V', 1. )      ! Boundaries conditions
-      ENDIF
+!!Z~  IF( lk_vvl ) THEN                                ! (required only in key_vvl case)
+!!Z~     DO jj = 1, jpjm1
+!!Z~        DO ji = 1, jpim1      ! NO Vector Opt.
+!!Z~           sshu_a(ji,jj) = 0.5  * umask(ji,jj,1) / ( e1u(ji  ,jj) * e2u(ji  ,jj) )                   &
+!!Z~              &                                  * ( e1t(ji  ,jj) * e2t(ji  ,jj) * ssha(ji  ,jj)     &
+!!Z~              &                                    + e1t(ji+1,jj) * e2t(ji+1,jj) * ssha(ji+1,jj) )
+!!Z~           sshv_a(ji,jj) = 0.5  * vmask(ji,jj,1) / ( e1v(ji,jj  ) * e2v(ji,jj  ) )                   &
+!!Z~              &                                  * ( e1t(ji,jj  ) * e2t(ji,jj  ) * ssha(ji,jj  )     &
+!!Z~              &                                    + e1t(ji,jj+1) * e2t(ji,jj+1) * ssha(ji,jj+1) )
+!!Z~        END DO
+!!Z~     END DO
+!!Z~     CALL lbc_lnk( sshu_a, 'U', 1. )   ;   CALL lbc_lnk( sshv_a, 'V', 1. )      ! Boundaries conditions
+!!Z~  ENDIF
       
 
